# Class VectorStoreServiceInstance

#### Hierarchy (view full)

- RWSService
  - VectorStoreServiceInstance

- Defined in src/services/VectorStoreService.ts:7

#####
Index

### Constructors

constructor

### Properties

_RELOADABLE
_instances

### Methods

createStore
getReloadable
reloadService
getSingleton

## Constructors

### constructor

- new VectorStoreServiceInstance(): VectorStoreServiceInstance

- #### Returns VectorStoreServiceInstance

  Inherited from RWSService.constructor

  - Defined in src/services/_service.ts:4

## Properties

### _RELOADABLE

_RELOADABLE: boolean = false

Inherited from RWSService._RELOADABLE

- Defined in src/services/_service.ts:2

### `Static` `Protected` _instances

_instances: {
[key: string]: RWSService;
} = {}

#### Type declaration

- ##### [key: string]: RWSService

Inherited from RWSService._instances

- Defined in src/services/_service.ts:7

## Methods

### createStore

- createStore(docs, embeddings): Promise<RWSVectorStore>

- #### Parameters

  - ##### docs: VectorDocType

  - ##### embeddings: EmbeddingsInterface

  #### Returns Promise<RWSVectorStore>

  - Defined in src/services/VectorStoreService.ts:9

### getReloadable

- getReloadable(): string

- #### Returns string

  Inherited from RWSService.getReloadable

  - Defined in src/services/_service.ts:19

### reloadService

- reloadService<T>(this, ...params): InstanceType<T>

- #### Type Parameters

  - #### T extends (new (...args) => RWSService)

  #### Parameters

  - ##### this: T

  - ##### `Rest` ...params: any[]

  #### Returns InstanceType<T>

  Inherited from RWSService.reloadService

  - Defined in src/services/_service.ts:23

### `Static` getSingleton

- getSingleton<T>(this): InstanceType<T>

- #### Type Parameters

  - #### T extends (new (...args) => RWSService)

  #### Parameters

  - ##### this: T

  #### Returns InstanceType<T>

  Inherited from RWSService.getSingleton

  - Defined in src/services/_service.ts:9

Generated using TypeDoc